﻿using UnityEngine;
using System.Collections;

public class FloatingText : MonoBehaviour {

	float speed = 1f;
	float timeBeforeFade = 0.50f;

	float timeFadeMax = 0.50f;
	float timeFade = 0.50f;

	public int income = 2;
	public int growth = -1;

	// Use this for initialization
	void Start () {
		UpdateString();
	}

	void UpdateString() {
		Color green = Color.Lerp( new Color(0, 0.6f, 0, 0), new Color(0, 0.6f, 0, 1), timeFade/timeFadeMax );
		Color red = Color.Lerp( new Color(1f, 0, 0, 0), new Color(1, 0, 0, 1), timeFade/timeFadeMax );

		string t = "";
		if(income > 0) {
			t += "<color=#"+ ColorToHex(green) +">+"+income+"¤</color> ";
		}
		if(income < 0) {
			t += "<color=#"+ ColorToHex(red) +">"+income+"¤</color> ";
		}

		if(growth > 0) {
			t += "<color=#"+ ColorToHex(green) +">+"+growth+"▲</color> ";
		}
		if(growth < 0) {
			t += "<color=#"+ ColorToHex(red) +">"+growth+"▼</color> ";
		}

		GetComponent<TextMesh>().text = t;

	}
	
	// Update is called once per frame
	void Update () {
		transform.Translate(0, speed * Time.deltaTime, 0);

		if(timeBeforeFade > 0) {
			timeBeforeFade-= Time.deltaTime;
		}
		else {
			UpdateString();
			timeFade -= Time.deltaTime;
		}

		if(timeFade <= 0) {
			Destroy(gameObject);
		}
	}

	string ColorToHex(Color32 color)
	{
		string hex = color.r.ToString("X2") + color.g.ToString("X2") + color.b.ToString("X2") + color.a.ToString("X2");
		return hex;
	}



}
