﻿using System;
using UnityEngine;
using System.Collections.Generic;

public enum CardType { Manufacturing, Marketing, Administration, Sales };


//  ¤
//  ▲▼
//  ▼


public class HexCard : MonoBehaviour {
	public static string[ ] cardSymbols = {
		" <quad material=1 size=80 x=0 y=0 width=1 height=2 /> ",
		" <quad material=2 size=80 x=0 y=0 width=1 height=2 /> ",
		" <quad material=3 size=80 x=0 y=0 width=1 height=2 /> ",
		" <quad material=4 size=80 x=0 y=0 width=1 height=2 /> ",
	};

	public static Color32[] cardColors = {
		new Color32( 247, 148,  29, 255 ),	// Industry Yellow
		new Color32(  29,  91, 247, 255 ),  // Blue
		new Color32( 151,  33,  33, 255 ),  // Red
		new Color32(   4, 140,  39, 255 ),  // Green
	};

	public int x;
	public int y;

	public int turnsInPlay = 0;

	public List<HexCard> neighbours;

	public string cardName = "Production Line";
	public int cost = 5;
	public int income = 0;
	public int growth = 0;

	public int minLegalNeighbours = 0; // Used during placement only

	public string cardText;

	public CardType cardType = CardType.Manufacturing;

	public Action<HexCard> cardAbility;	// This is not serializable, so it doesn't copy over on Instantiate
	public Action<HexCard> cardAbility_Priority;	// This is not serializable, so it doesn't copy over on Instantiate

	public string keyword;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
