﻿using UnityEngine;
using UnityEngine.EventSystems;
using UnityEngine.UI;
using System.Collections;

public class PlaceHexButton : MonoBehaviour {

	public static PlaceHexButton selectedButton = null;

	public bool isClickable = false;

	public HexCard cardPrototype;

	public Vector3 desiredPosition;

	void Start() {
		//desiredPosition = transform.position;
	}

	void Update() {
		float lerp_amount = Mathf.Clamp(Time.deltaTime*10f, 0, 0.1f);
		transform.localPosition = Vector3.Lerp(transform.localPosition, desiredPosition, lerp_amount);
	}

	void OnMouseEnter() {
		if(EventSystem.current.IsPointerOverGameObject())
			return;

		if(!isClickable)
			return;

		if(cardPrototype.cost > GameManager.current.money) {
			Tooltip.current.gameObject.SetActive(true);
			Tooltip.current.GetComponentInChildren<Text>().text = "Too Expensive!";
			return;
		}

		if(selectedButton != this) {
			desiredPosition = new Vector3(desiredPosition.x, 0.1f, 0);
		}
	}

	void OnMouseExit() {
		if(EventSystem.current.IsPointerOverGameObject())
			return;
		if(!isClickable)
			return;

		Tooltip.current.gameObject.SetActive(false);

		if(selectedButton != this) {
			desiredPosition = new Vector3(desiredPosition.x, 0, 0);
		}
	}

	void OnMouseUp() {
		if(EventSystem.current.IsPointerOverGameObject())
			return;
		
		if(isClickable == true) {
			if(selectedButton != null) {
				// Deselect existing button
				selectedButton.desiredPosition = new Vector3(selectedButton.desiredPosition.x, 0f, 0);
			}
			if(selectedButton == this) {
				selectedButton = null;
				CardManager.current.SetCardNameToPlace( null, null );
				AudioSource.PlayClipAtPoint(CardManager.current.cardDeselect, Camera.main.transform.position, 0.5f);
			}
			else {
				selectedButton = this;
				desiredPosition = new Vector3(desiredPosition.x, 0.5f, 0);

				AudioSource.PlayClipAtPoint(CardManager.current.cardSelect, Camera.main.transform.position, 0.5f);

				CardManager.current.SetCardNameToPlace( cardPrototype, gameObject );
			}
		}
	}

}
