﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections.Generic;

public class StockTicker : MonoBehaviour {

	public GameObject tickerItemPrefab;

	int maxTickerItems = 50;
	Queue<GameObject> tickerItems;

	float cooldown = 0;
	float speed = -50;

	void Start() {
		tickerItems = new Queue<GameObject>();
	}

	// Update is called once per frame
	void Update () {
		cooldown -= Time.deltaTime;

		GameObject go;

		if(cooldown <= 0) {
			cooldown = 1.5f;

			if(tickerItems.Count >= maxTickerItems) {
				go = tickerItems.Dequeue();
				Destroy(go);
			}
				

			go = (GameObject)Instantiate(tickerItemPrefab);
			go.transform.SetParent(this.transform);
			go.transform.localPosition = Vector3.zero;
			go.transform.localScale = Vector3.one;

			float stockValue = Random.Range(-5f, +5f);
			string t = Subscribers.names[ Random.Range(0, Subscribers.names.Length) ];

			cooldown += t.Length / 10f;

			t += "<color=";
			if(stockValue >= 0)
				t += "green>▲";
			else
				t += "red>▼";

			t+= stockValue.ToString("N2");
			t+= "</color>";

			go.GetComponentInChildren<Text>().text = t;
			tickerItems.Enqueue(go);
		}

		foreach(GameObject ti in tickerItems) {
			//ti.transform.Translate(speed * Time.deltaTime, 0, 0, Space.World);
			ti.transform.localPosition = ti.transform.localPosition + new Vector3(speed * Time.deltaTime, 0, 0);
		}
	}
}
