﻿using UnityEngine;
using System.Collections;

public class SwipeTransistion : MonoBehaviour {

	public bool doAnimation=false;
	float startX;
	float targetX = 23f;
	float lerp_amount;

	public GameObject gameOverScreen;

	// Use this for initialization
	void Start () {
		float leftEdgeOfCamera = transform.parent.GetComponent<Camera>().ScreenToWorldPoint(Vector3.zero).x;
		transform.position = new Vector3(leftEdgeOfCamera-10,transform.parent.position.y,5);
		startX = transform.localPosition.x;
	}
	
	// Update is called once per frame
	void Update () {
		if(doAnimation) {
			lerp_amount += Time.deltaTime/5f;
			transform.localPosition = new Vector3(
				Mathf.Lerp(startX, targetX, lerp_amount), 
				transform.localPosition.y, 
				transform.localPosition.z
			);

			if(lerp_amount >= 0.9f) {
				lerp_amount += Time.deltaTime/2f;
				GetComponent<SpriteRenderer>().color = Color.Lerp( 
					GetComponent<SpriteRenderer>().color,
					Color.white,
					Time.deltaTime * 2f
				);
			}

			if(lerp_amount > 1) {
				gameOverScreen.SetActive(true);
				gameOverScreen.GetComponent<CanvasGroup>().alpha = 
					Mathf.Lerp(0f, 1f, lerp_amount-1);
			}
		}
	}

	public void KeepPlaying() {
		gameObject.SetActive(false);
		gameOverScreen.SetActive(false);
	}
}
