﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class TutorialOverlay : MonoBehaviour {

	public GameObject dialogGO;
	public GameObject optionMenu;

	static bool tutorialHasRun=false;

	// Use this for initialization
	void Start () {
		if(tutorialHasRun) {
			CloseTutorial();
			return;
		}
		tutorialHasRun = true;

		dialogGO.SetActive(true);
		for (int i = 1; i < dialogGO.transform.childCount; i++) {
			dialogGO.transform.GetChild(i).gameObject.SetActive(false);
		}
	}
	
	// Update is called once per frame
	void Update () {
		if(Input.GetMouseButtonUp(0)) {
			AdvanceTutorial();
		}

		if(Input.GetKeyUp(KeyCode.Escape)) {
			CloseTutorial();
		}
	}

	void CloseTutorial() {
		optionMenu.SetActive(true);
		gameObject.SetActive(false);
	}

	void AdvanceTutorial() {
		for (int i = 0; i < dialogGO.transform.childCount-1; i++) {
			if(dialogGO.transform.GetChild(i).gameObject.activeSelf) {
				dialogGO.transform.GetChild(i).gameObject.SetActive(false);
				dialogGO.transform.GetChild(i+1).gameObject.SetActive(true);
				return;
			}
		}

		// If we get here, it's because the tutorial is finished.
		CloseTutorial();

	}
}
